
Infrastructure - Bug #846

Default count and total in ObjectList

2010-09-14 16:08 - Robert Waltz

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.5   

Milestone: None Story Points:  

Product Version: *   

Description

If count is not provided in the query to MN_replication.listObjects() or CN_query.search(), the default returned is a maximum of 1000.

If the count is not provided in the query, and the total < 1000, then the count should equal total.  If the total > 1000, then the count

returned should be 1000.

Currently, if count is not provided, then the count returned is 1000 regardless of whether the total is over 1000.

History

#1 - 2010-09-14 16:12 - Robert Waltz

- Status changed from New to In Progress

#2 - 2010-09-15 17:26 - Robert Waltz

- Status changed from In Progress to Closed
